%define name gnuplot
%define version 3.7.1
%define prefix %{_prefix}

Summary: A program for plotting mathematical expressions and data.
Name: %{name}
Version: %{version}
Release: 8mdk
Copyright: distributable
Group: Sciences/Other
Source0: ftp://ftp.ucc.ie/pub/gnuplot/%{name}-%{version}.tar.bz2
Source1: http://feff.phys.washington.edu/~ravel/gnuplot/gnuplot-mode.tar.bz2
Source2: http://www.ucc.ie/gnuplot/gnuplot-faq.html.bz2
Source3: %{name}
Source4: %{name}.xpm.bz2
Source5: %{name}-32.xpm.bz2
Patch1: gnuplot-sillyfix.patch.bz2
Patch2: http://www.cs.utwente.nl/~ptdeboer/gp371_x11mouse.patch.bz2
URL: http://www.cs.dartmouth.edu/gnuplot_info.html
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildPreReq: emacs, tetex, tetex-latex, zlib-devel, libpng-devel, XFree86-devel

%description
Gnuplot is a command-line driven, interactive function plotting program
especially suited for scientific data representation. Gnuplot can be used to
plot functions and data points in both two and three dimensions and in many
different formats.

Install gnuplot if you need a graphics package for scientific data
representation.

%prep
%setup -q -a 1
%patch1 -p0 -b .chmou
%patch2 -p1 -b .deboer

%build
%configure --with-readline --with-png --without-linux-vga
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

pushd gnuplot-mode && {
    ./configure --prefix=/usr
    make
} && popd

cp %{SOURCE2} .
bzip2 -d gnuplot-faq.html.bz2

cd docs
make doc2html
./doc2html gnuplot.doc > gnuplot.html
make pdf

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,share/gnuplot,man/man1,lib/menu}

install -m 755 -s gnuplot_x11 $RPM_BUILD_ROOT/usr/bin/gnuplot_x11
install -m 755 -s gnuplot $RPM_BUILD_ROOT/usr/bin/gnuplot
install -m 644 docs/gnuplot.1 $RPM_BUILD_ROOT/usr/man/man1
install -m 644 docs/gnuplot.gih $RPM_BUILD_ROOT/usr/share/gnuplot.gih

pushd gnuplot-mode && {
    make install prefix=$RPM_BUILD_ROOT/usr
} && popd

cd gnuplot-mode
pdflatex gpelcard

# menu
mkdir -p $RPM_BUILD_ROOT/%{prefix}/lib/menu
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/%{prefix}/lib/menu/

# icon
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/icons/mini
bzcat %{SOURCE4} > $RPM_BUILD_ROOT/%{prefix}/share/icons/mini/%{name}.xpm
bzcat %{SOURCE5} > $RPM_BUILD_ROOT/%{prefix}/share/icons/%{name}.xpm


%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Copyright docs/gnuplot.html docs/psdoc docs/gnuplot.pdf gnuplot-faq.html
%doc demo gnuplot-mode/dotemacs gnuplot-mode/gpelcard.pdf 0README 0FAQ
/usr/bin/gnuplot_x11
/usr/bin/gnuplot
/usr/man/man1/gnuplot.1.bz2
/usr/share/gnuplot.gih
/usr/share/emacs/site-lisp/*
/usr/lib/menu/%{name}
/usr/share/icons/%{name}.xpm
/usr/share/icons/mini/%{name}.xpm

%changelog
* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-8mdk
- fixed menu entry adding 32x32 icon

* Fri Apr 28 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.7.1-7mdk
- added XFree86-devel in BuildPreReq for X11.
- removed bzip2 man pages (done by spec_helper).
- removed gnu-readline and put back minimal-readline otherwise the
  Boer's patch doesn't work.

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-6mdk
- fix directory owns.
- now uses gnu readline library instead of minimal built-in readline.

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-5mdk
- added icon.

* Thu Mar 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-4mdk
- new groups.
- menu entry.

* Thu Nov 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- added Pieter de Boer's patch <ptdeboer@cs.utwent.nl> for splot X11
  interactive rotations.
- added gnuplot-mode documentation.

* Tue Nov  9 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to 3.7.1.
- added gnuplot-faq.html.
- added PDF documentation.

* Mon Nov  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.7.0.2.
- fix license.
- add emacs-mode.
- add some documentation.

* Fri Oct 1 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- Changed the 3.7.0->3.7.0.1 patch to a more recent version because
the previous version has broken the postscript terminal.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rebuild without svgalib.

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Update to 3.7.0.1.

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.7.

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.6beta347

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
